aboutsummaryrefslogtreecommitdiff
path: root/autotools_prepare.bash
diff options
context:
space:
mode:
Diffstat (limited to 'autotools_prepare.bash')
-rwxr-xr-xautotools_prepare.bash17
1 files changed, 17 insertions, 0 deletions
diff --git a/autotools_prepare.bash b/autotools_prepare.bash
new file mode 100755
index 000000000..642c44723
--- /dev/null
+++ b/autotools_prepare.bash
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+# vim: set sw=4 sts=4 et tw=80 :
+
+if test "xyes" = x"${BASH_VERSION}" ; then
+ echo "This is not bash!"
+ exit 127
+fi
+
+trap 'echo "exiting." ; exit 250' 15
+KILL_PID=$$
+
+misc/do_m4.bash paludis/Makefile.am || exit $?
+misc/do_m4.bash paludis/paludis.hh || exit $?
+misc/do_m4.bash paludis/util/util.hh || exit $?
+misc/do_m4.bash paludis/util/Makefile.am || exit $?
+misc/do_m4.bash hooks/Makefile.am || exit $?
+